---
sidebar_label: Locator.setWaitForEnabled
---

# Locator.setWaitForEnabled() method

#### Signature:

```typescript
class Locator {
  abstract setWaitForEnabled(value: boolean): this;
}
```

## Parameters

| Parameter | Type    | Description |
| --------- | ------- | ----------- |
| value     | boolean |             |

**Returns:**

this
